class CallstatelogController < ApplicationController

  protect_from_forgery except: :call_state_changed #ActionController::InvalidAuthenticityToken

  require 'mysql2'

  # http://localhost:3000/callstatelog/call_state_changed
  def call_state_changed

      config = YAML::load_file("config/database.yml")["development"]
      config["host"] = config["hostname"]
      con = Mysql2::Client.new(config)

      con.query("CREATE DATABASE IF NOT EXISTS Ozeki_CallStateChanges;")
      con.query("CREATE TABLE IF NOT EXISTS Ozeki_CallStateChanges.Call_States
        (id INT NOT NULL AUTO_INCREMENT, call_id VARCHAR(10), caller_id VARCHAR(30),
        caller VARCHAR(30), callee VARCHAR(30), call_state VARCHAR(255), PRIMARY KEY (id));")

      notification_name = params[:NotificationName] == nil ? "" : params[:NotificationName]
      call_id = params[:CallId] == nil ? "" : params[:CallId]
      caller_id = params[:CallerId] == nil ? 0 : params[:CallerId]
      caller = params[:Caller] == nil ? "" : params[:Caller]
      callee = params[:Callee] == nil ? "" : params[:Callee]
      call_state = params[:CallState] == nil ? "" : params[:CallState]
  
      con.query("INSERT INTO Ozeki_CallStateChanges.Call_States (call_id, caller_id, caller, callee, call_state)
        VALUES ('" + call_id + "', '" + caller_id + "', '" + caller + "', '" + callee + "', '" + call_state + "');")
      
    rescue Mysql2::Error => e
      puts e.errno
      puts e.error
    ensure
      con.close if con
    
  end

end
