class RoutingController < ApplicationController

  protect_from_forgery except: :rule

  # http://localhost:3000/routing/rule
  def rule

    notification_name = params[:NotificationName] == nil ? "" : params[:NotificationName]
    caller_id = params[:CallerID] == nil ? "" : params[:CallerID]
    original_dialed_number = params[:OriginalDialedNumber] == nil ? 0 : params[:OriginalDialedNumber]
    last_dialed_number = params[:LastDialedNumber] == nil ? "" : params[:LastDialedNumber]
    last_called_extension = params[:LastCalledExtension] == nil ? "" : params[:LastCalledExtension]
    last_call_state = params[:LastCallState] == nil ? "" : params[:LastCallState]
    caller_extension = params[:CallerExtension] == nil ? "" : params[:CallerExtension]

    if ((last_call_state == 'NoAnswer') || (last_call_state == 'Busy')) 
      render :xml => '<?xml version="1.0" encoding="UTF-8"?>
      <Response>
        <Route Destination="2000"/>
      </Response>'
    elsif (original_dialed_number == '1000')
      render :xml => '<?xml version="1.0" encoding="UTF-8"?>
      <Response>
        <Route RingTime="5" Destination="9998"/>
      </Response>'
    else
      render :xml => ''
    end

  end

end
